Suppliers

Suppliers

List and get suppliers. Same field names as client list items. Scope: relations.read.

List suppliers

GET /v1/suppliers
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Name Type Description
page integer
per_page integer
search string
contact_type string company|private; other values ignored
Request body

None

Response
data array
id string
type string

`company` or `private`.

Enum
company private
company_name string
firstname string
lastname string
email string
phone string
address string
zipcode string
city string
country string
company_registration_number string

Company registration number.

vat_number string
website string
iban string
bank_account_name string
bic string
payment_term integer

Payment term in days.

quote_expiration_days integer

Quote validity in days.

default_revenue_account string

Default revenue account label.

email_invoices string
email_reminders string
mail_salutation string
debtor_number string
meta object
page integer
per_page integer
total integer
pages integer

Examples

GET /v1/suppliers
curl -X GET "https://api.appficient.nl/v1/suppliers" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Create a supplier

POST /v1/suppliers
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Headers
Name Type Description
Idempotency-Key string Optional. Replay within 24h returns the same response.
Request body
type string

`company` or `private`.

Enum
company private
company_name string
firstname string
lastname string
email string
phone string
city string
country string
Response
data object

Client.

id string
type string

`company` or `private`.

Enum
company private
company_name string
firstname string
lastname string
email string
phone string
address string
zipcode string
city string
country string
company_registration_number string

Company registration number.

vat_number string
website string
iban string
bank_account_name string
bic string
payment_term integer

Payment term in days.

quote_expiration_days integer

Quote validity in days.

default_revenue_account string

Default revenue account label.

email_invoices string
email_reminders string
mail_salutation string
debtor_number string
meta object

Examples

POST /v1/suppliers
curl -X POST "https://api.appficient.nl/v1/suppliers" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "company",
    "company_name": "string",
    "firstname": "string",
    "lastname": "string",
    "email": "string",
    "phone": "string",
    "city": "string",
    "country": "string"
}'

Curl, Node and response are shown to the right of this endpoint.

Retrieve a supplier

GET /v1/suppliers/{id}
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string
Request body

None

Response
data object

Client.

id string
type string

`company` or `private`.

Enum
company private
company_name string
firstname string
lastname string
email string
phone string
address string
zipcode string
city string
country string
company_registration_number string

Company registration number.

vat_number string
website string
iban string
bank_account_name string
bic string
payment_term integer

Payment term in days.

quote_expiration_days integer

Quote validity in days.

default_revenue_account string

Default revenue account label.

email_invoices string
email_reminders string
mail_salutation string
debtor_number string
meta object

Examples

GET /v1/suppliers/{id}
curl -X GET "https://api.appficient.nl/v1/suppliers/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Update a supplier

PATCH /v1/suppliers/{id}

Send at least one field

Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string
Request body
type string

`company` or `private`.

Enum
company private
company_name string
firstname string
lastname string
email string
phone string
city string
country string
Response
data object

Client.

id string
type string

`company` or `private`.

Enum
company private
company_name string
firstname string
lastname string
email string
phone string
address string
zipcode string
city string
country string
company_registration_number string

Company registration number.

vat_number string
website string
iban string
bank_account_name string
bic string
payment_term integer

Payment term in days.

quote_expiration_days integer

Quote validity in days.

default_revenue_account string

Default revenue account label.

email_invoices string
email_reminders string
mail_salutation string
debtor_number string
meta object

Examples

PATCH /v1/suppliers/{id}
curl -X PATCH "https://api.appficient.nl/v1/suppliers/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "company",
    "company_name": "string",
    "firstname": "string",
    "lastname": "string",
    "email": "string",
    "phone": "string",
    "city": "string",
    "country": "string"
}'

Curl, Node and response are shown to the right of this endpoint.